マニュアル

サーバープログラムについて > PHPのバージョンについて

ご利用いただけるPHPのバージョンについて

シックスコアでは、以下のPHPのバージョンが利用可能です。

PHP 7.0.x

現在公式にサポートされているバージョンです。
PHP 7.0.x は、PHP 5.6.x と比較してパフォーマンスが大幅に強化されています。

なお「PHP高速化設定(FastCGI)」と「CPU負荷を軽減するための拡張モジュール(OPcache)」が標準で有効となります。
「FastCGI」と「OPcache」については、 マニュアルページ「FastCGIについて」と 「APC/OPcacheについて」をご参照ください。

PHP 5.6.x

現在公式にサポートされているバージョンです。
パフォーマンスが大幅に強化された PHP 7.0.x への移行を推奨します。

PHP 5.5.x
PHP 5.4.x
PHP 5.2.17

旧バージョンです。
今後バージョンアップの予定はないため新規での利用は推奨しません。
PHP 7.0.x への移行を推奨します。

PHP 5.3.3
PHP 5.1.6

旧バージョンです。
OSベンダーによるパッチでのセキュリティ修正は行いますが、パッチ提供頻度が減少しているため新規での利用は推奨しません。
PHP 7.0.x への移行を推奨します。

PHPのバージョン切り替え

  1. 「PHP バージョン切替」をクリック

    サーバー管理ツールへログインし、「PHP バージョン切替」をクリックしてください。

    ホームページカテゴリの「PHPバージョン切替」をクリックします
  2. 変更後のバージョンを設定

    設定対象ドメインを選択し、現在のバージョンを確認します。
    「設定」のプルダウンより変更希望のバージョンを選択してください。

    設定を施したいドメインを選択します

    選択後、「PHPバージョン切替(確認)」→「PHPバージョン切替(確定)」をクリックしてください。